<x-layout>
    <x-slot:title>
        Home
    </x-slot:title>
    <div class="px-4 py-6">
        <div class="grid gap-4 grid-cols-1 md:grid-cols-3 ">
            <!-- Main widget -->
            <div
                class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm  dark:border-gray-700 sm:p-6 dark:bg-gray-800">
                <div class="flex items-center justify-between mb-4">
                    <div class="flex-shrink-0">
                        <span class="text-xl font-bold leading-none text-gray-900 sm:text-2xl dark:text-white"
                            id="total-suara">0</span>
                        <h3 class="text-base font-light text-gray-500 dark:text-gray-400">Total Suara Masuk</h3>
                    </div>

                </div>
                <div id="chart"></div>
                <!-- Card Footer -->

            </div>
            <!--Tabs widget -->
            <div class="md:col-span-2 ">
                <div>
                    <div
                        class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm dark:border-gray-700 sm:p-6 dark:bg-gray-800 mb-4">
                        <h3 class="flex items-center mb-4 text-lg font-semibold text-gray-900 dark:text-white">
                            Filter Data

                        </h3>
                        <div class="grid grid-cols-3 gap-2 mb-4">
                            <div>
                                <label for="kabupaten_kota_id"
                                    class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">
                                    Kabupaten/Kota
                                </label>
                                <select id="kabupaten_kota_id"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                                    <option value="" selected>Semua Kabupaten Kota</option>
                                    <option value="6474">KOTA BONTANG</option>
                                    <option value="6408">KAB. KUTAI TIMUR</option>
                                </select>
                            </div>
                            <div>
                                <label for="kecamatan_id"
                                    class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">
                                    Kecamatan
                                </label>
                                <select id="kecamatan_id"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                                    <option value="" selected>Pilih Kecamatan</option>

                                </select>
                            </div>
                            <div>
                                <label for="kelurahan_desa_id"
                                    class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">
                                    Kelurahan/Desa
                                </label>
                                <select id="kelurahan_desa_id"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                                    <option value="" selected>Pilih Kelurahan/Desa</option>
                                </select>
                            </div>
                        </div>
                        <button type="button" id="submit-filter"
                            class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 me-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">Filter</button>

                    </div>



                </div>
                <div class="grid grid-cols-3 gap-4" id="list-calon">


                </div>

            </div>
        </div>

        <div
            class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm  dark:border-gray-700 sm:p-6 dark:bg-gray-800 mt-4">
            <div class="flex items-center justify-between mb-4">
                <div class="flex-shrink-0">
                    <h3 class="text-base font-light text-gray-500 dark:text-gray-400">Suara Per Kabupaten/Kota</h3>
                </div>

            </div>
            <div id="chart-kabupaten-kota"></div>
        </div>

        <div
            class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm  dark:border-gray-700 sm:p-6 dark:bg-gray-800 mt-4">
            <div class="flex items-center justify-between mb-4">
                <div class="flex-shrink-0">
                    <h3 class="text-base font-light text-gray-500 dark:text-gray-400">TPS Per Kabupaten/Kota</h3>
                </div>

            </div>
            <div id="chart-tps-kabupaten-kota"></div>
        </div>

        <div
            class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm  dark:border-gray-700 sm:p-6 dark:bg-gray-800 mt-4">
            <div class="flex items-center justify-between mb-4">
                <div class="flex-shrink-0">
                    <h3 class="text-base font-light text-gray-500 dark:text-gray-400">DPT Per Kabupaten/Kota</h3>
                </div>

            </div>
            <div id="chart-dpt-kabupaten-kota"></div>
        </div>

        <div class="grid w-full grid-cols-1 gap-4 mt-4 xl:grid-cols-2 2xl:grid-cols-3">
            @foreach (Helper::servers() as $key => $item)
                @php
                    $parsedUrl = parse_url($key);
                    $sub = explode('.', $parsedUrl['host']);
                @endphp
                <div id="server-{{ $sub[0] }}" data-url="{{ $key }}"
                    class="servers p-4 bg-white border border-gray-200 rounded-lg shadow-sm dark:border-gray-700 sm:p-6 dark:bg-gray-800">
                    <div class="w-full">
                        <h2>Server {{ $sub[0] }}</h2>
                        <h3 class="mb-2 text-base font-normal text-gray-500 dark:text-gray-400">
                            <a href="{{ $key }}">{{ $key }}</a>
                            <span class="p-2 bg-yellow-500 rounded-full h-4 w-4 inline-block status"></span>
                        </h3>
                        <p>Storage :</p>
                        <div class="flex items-center justify-center mb-2">
                            <div class="chart"></div>
                        </div>

                    </div>
                </div>
            @endforeach

        </div>
    </div>



    <x-slot:scripts>
        <script type="module">
            const servers = @json(Helper::servers());
            checkStatusServer();

            function checkStatusServer() {
                const serversElm = document.querySelectorAll('.servers');
                for (let i = 0; i < serversElm.length; i++) {
                    const elm = serversElm[i];
                    const dataUrl = elm.dataset.url;
                    fetch(dataUrl + "/api/status-server").then(response => {
                        if (!response.ok) {
                            elm.querySelector(".chart").innerHTML = "Error : " + response;
                            elm.querySelector(".status").classList.remove("bg-yellow-500");
                            elm.querySelector(".status").classList.add("bg-red-700");
                        }

                        return response.json();
                    }).then(result => {

                        elm.querySelector(".status").classList.remove("bg-yellow-500");
                        elm.querySelector(".status").classList.add("bg-green-500");

                        const chart = new ApexCharts(elm.querySelector(".chart"), {
                            series: [result.data.used, result.data.free],
                            labels: ['Used', 'Free'],
                            colors: ['#FDBA8C', '#1A56DB'],
                            chart: {
                                type: 'donut',
                                height: 400,
                                fontFamily: 'Inter, sans-serif',
                                toolbar: {
                                    show: false
                                },
                            },
                            responsive: [{
                                breakpoint: 430,
                                options: {
                                    chart: {
                                        height: 300
                                    }
                                }
                            }],

                            states: {
                                hover: {
                                    filter: {
                                        type: 'darken',
                                        value: 0.9
                                    }
                                }
                            },
                            tooltip: {
                                shared: true,
                                followCursor: false,
                                fillSeriesColor: false,
                                inverseOrder: true,
                                style: {
                                    fontSize: '14px',
                                    fontFamily: 'Inter, sans-serif'
                                },
                                x: {
                                    show: true,
                                    formatter: function(_, {
                                        seriesIndex,
                                        w
                                    }) {
                                        const label = w.config.labels[seriesIndex];
                                        return label
                                    }
                                },
                                y: {
                                    formatter: function(value) {
                                        return value + 'GB';
                                    }
                                }
                            },
                            grid: {
                                show: false
                            },
                            // dataLabels: {
                            //     enabled: false
                            // },
                            // legend: {
                            //     show: false
                            // },
                        });
                        chart.render();
                    }).catch((error) => {
                        elm.querySelector(".chart").innerHTML = "Error : " + error;
                        elm.querySelector(".status").classList.remove("bg-yellow-500");
                        elm.querySelector(".status").classList.add("bg-red-700");
                    })

                }
            }

            document.getElementById("kabupaten_kota_id").addEventListener('change', selectKabupatenKota);
            document.getElementById("kecamatan_id").addEventListener('change', selectKecamatan);

            function selectKabupatenKota(e) {
                const id = e.target.value;
                if (id != "") {
                    for (const [key, value] of Object.entries(servers)) {
                        if (value.includes(parseInt(id))) {
                            getKecamatan(key + "/ajax/kecamatan?kabupaten_kota_id=" + id);
                            document.getElementById("kelurahan_desa_id").innerHTML = "";
                        }
                    }
                }
            }

            function selectKecamatan(e) {
                const id = e.target.value;
                if (id != "") {
                    for (const [key, value] of Object.entries(servers)) {
                        if (value.includes(parseInt(document.getElementById("kabupaten_kota_id").value))) {
                            getKelurahanDesa(key + "/ajax/kelurahan-desa?kecamatan_id=" + id);
                        }
                    }
                }
            }

            function getKecamatan(url) {
                fetch(url).then(response => {
                    if (!response.ok) {
                        throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                    }

                    return response.json();
                }).then(results => {
                    let options = "<option value='' selected>Pilih Kecamatan</option>";
                    for (let i = 0; i < results.length; i++) {
                        const result = results[i];
                        options += `<option value="${result.id}">${result.nama}</option>`
                    }

                    document.getElementById("kecamatan_id").innerHTML = options;
                });
            }

            function getKelurahanDesa(url) {
                fetch(url).then(response => {
                    if (!response.ok) {
                        throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                    }

                    return response.json();
                }).then(results => {
                    let options = "<option value='' selected>Pilih Kelurahan/Desa</option>";
                    for (let i = 0; i < results.length; i++) {
                        const result = results[i];
                        options += `<option value="${result.id}">${result.nama}</option>`
                    }

                    document.getElementById("kelurahan_desa_id").innerHTML = options;
                });
            }

            document.getElementById("submit-filter").addEventListener('click', function() {
                fetchCalon();
            });

            var options = {
                chart: {
                    type: 'pie'
                },
                series: [0],
                labels: ['Suara'],
                legend: {
                    show: true,
                    position: 'bottom',
                },
            }


            var chart = new ApexCharts(document.querySelector("#chart"), options);
            chart.render();

            fetchCalon();

            function filterParam() {
                return '?kabupaten_kota_id=' + document.getElementById("kabupaten_kota_id").value + "&kecamatan_id=" + document
                    .getElementById("kecamatan_id").value + "&kelurahan_desa_id=" + document.getElementById("kelurahan_desa_id")
                    .value;
            }

            function fetchCalon() {
                const urls = @json(Helper::urlServers('/api/jumlah-suara/calon'));

                Promise.allSettled(urls.map(url => fetch(url)
                        .then(response => {
                            if (!response.ok) {
                                throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                            }
                            return response.json(); // assuming the response is JSON
                        })
                    ))
                    .then(results => {
                        const successfulResults = results
                            .filter(result => result.status === 'fulfilled') // only keep successful fetches
                            .map(result => result.value); // extract the value (response data)

                        const failedResults = results
                            .filter(result => result.status === 'rejected') // only keep failed fetches
                            .map(result => result.reason); // extract the error reason



                        // console.log('Successful fetches:', successfulResults);
                        // console.log('Failed fetches:', failedResults);

                        tranformDataCalon(successfulResults);
                    });


            }

            function tranformDataCalon(results) {
                var datas = {
                    series: [],
                    labels: []
                };


                let calons = [];
                let total_suara_tidak_sah = 0;

                for (let x = 0; x < results.length; x++) {
                    const result = results[x];
                    for (let i = 0; i < result.length; i++) {
                        const item = result[i];
                        if (item.id != undefined) {
                            if (calons[item.id] == undefined) {
                                calons[item.id] = {
                                    "nomor": item.nomor,
                                    "nama_calon": item.nama_calon,
                                    "nama_wakil_calon": item.nama_wakil_calon,
                                    "foto_pasangan": item.foto_pasangan,
                                    "total_suara": item.jumlah_suara
                                }
                            } else {
                                calons[item.id]["total_suara"] += item.jumlah_suara;
                            }
                            const indexOf = datas.labels.indexOf(`${item.nama_calon}/${item.nama_wakil_calon}`);
                            if (indexOf >= 0) {
                                datas.series[indexOf] += item.jumlah_suara;
                            } else {
                                datas.series.push(item.jumlah_suara)
                                datas.labels.push(`${item.nama_calon}/${item.nama_wakil_calon}`)
                            }
                        } else {
                            const indexOf = datas.labels.indexOf(`Suara Tidak Sah`);
                            total_suara_tidak_sah += item.jumlah_suara_tidak_sah;
                            if (indexOf >= 0) {
                                datas.series[indexOf] += item.jumlah_suara;
                            } else {
                                datas.series.push(item.jumlah_suara_tidak_sah)
                                datas.labels.push(`Suara Tidak Sah`)
                            }

                        }

                    }

                }
                document.getElementById("list-calon").innerHTML = "";
                calons.forEach(calon => {
                    document.getElementById("list-calon").innerHTML += `<div
                            class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm dark:border-gray-700 sm:p-6 dark:bg-gray-800  text-center">
                            <p>No ${calon['nomor']}</p>
                            <img src="${calon['foto_pasangan']}" class="object-contain mx-auto" style="width:250px;height:200px;"/>
                            <p class=" mb-4 text-2xl font-semibold text-gray-900 dark:text-white">
                                ${calon['total_suara']}
                            </p>


                        </div>`;
                });

                document.getElementById("list-calon").innerHTML += `<div
                            class="p-4 bg-white border border-gray-200 rounded-lg shadow-sm dark:border-gray-700 sm:p-6 dark:bg-gray-800  text-center overflow-hidden">
                            <p>Suara Tidak sah</p>
                           <svg xmlns="http://www.w3.org/2000/svg" class="object-contain mx-auto" width="150" height="200" viewBox="0 0 15 15"><path fill="currentColor" d="M5.5 0a3.499 3.499 0 1 0 0 6.996A3.499 3.499 0 1 0 5.5 0m-2 8.994a3.5 3.5 0 0 0-3.5 3.5v2.497h11v-2.497a3.5 3.5 0 0 0-3.5-3.5zm9 1.006H12v5h3v-2.5a2.5 2.5 0 0 0-2.5-2.5"/><path fill="currentColor" d="M11.5 4a2.5 2.5 0 1 0 0 5a2.5 2.5 0 0 0 0-5"/></svg>
                            <p class=" mb-4 text-2xl font-semibold text-gray-900 dark:text-white">
                                ${total_suara_tidak_sah}
                            </p>


                        </div>`;



                chart.updateOptions({
                    series: datas.series,
                    labels: datas.labels
                });
                const total = datas.series.reduce((partialSum, a) =>
                    partialSum +
                    a, 0);
                if (total > 0) {
                    document.getElementById("total-suara").innerHTML = total;
                }
            }

            //suara
            fetchDataPerKabupatenKota();

            function fetchDataPerKabupatenKota() {
                const urls = @json(Helper::urlServers('/api/jumlah-suara/kabupaten-kota/64'));

                Promise.allSettled(urls.map(url => fetch(url + filterParam())
                        .then(response => {
                            if (!response.ok) {
                                throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                            }
                            return response.json(); // assuming the response is JSON
                        })
                    ))
                    .then(results => {
                        const successfulResults = results
                            .filter(result => result.status === 'fulfilled') // only keep successful fetches
                            .map(result => result.value); // extract the value (response data)

                        const failedResults = results
                            .filter(result => result.status === 'rejected') // only keep failed fetches
                            .map(result => result.reason); // extract the error reason



                        // console.log('Successful fetches:', successfulResults);
                        // console.log('Failed fetches:', failedResults);

                        transformDataPerKabupatenKota(successfulResults);
                    });

            }


            const chartPerKabupatenKota = new ApexCharts(document.getElementById('chart-kabupaten-kota'), {
                // colors: ['#1A56DB', '#FDBA8C'],
                series: [],
                chart: {
                    type: 'bar',
                    height: '420px',
                    fontFamily: 'Inter, sans-serif',
                    foreColor: '#4B5563',
                    toolbar: {
                        show: false
                    }
                },
                plotOptions: {
                    bar: {
                        columnWidth: '90%',
                        borderRadius: 3
                    }
                },
                tooltip: {
                    shared: true,
                    intersect: false,
                    style: {
                        fontSize: '14px',
                        fontFamily: 'Inter, sans-serif'
                    },
                },
                states: {
                    hover: {
                        filter: {
                            type: 'darken',
                            value: 1
                        }
                    }
                },
                stroke: {
                    show: true,
                    width: 5,
                    colors: ['transparent']
                },
                grid: {
                    show: false
                },
                dataLabels: {
                    enabled: false
                },
                // legend: {
                //     show: false
                // },
                xaxis: {
                    floating: false,
                    labels: {
                        show: false
                    },
                    axisBorder: {
                        show: false
                    },
                    axisTicks: {
                        show: false
                    },
                },
                yaxis: {
                    show: false
                },
                fill: {
                    opacity: 1
                }
            });
            chartPerKabupatenKota.render();


            function transformDataPerKabupatenKota(results) {



                let suaras = [];
                for (let x = 0; x < results.length; x++) {
                    const result = results[x];
                    for (let i = 0; i < result.length; i++) {
                        const item = result[i];

                        if (suaras[item.id] == undefined) {
                            suaras[item.id] = item;
                        } else {
                            suaras[item.id].total_suara += item.total_suara;
                            suaras[item.id].total_suara_tidak_sah += item.total_suara_tidak_sah;

                            for (let x = 0; x < suaras[item.id].calon.length; x++) {
                                const calon = suaras[item.id].calon[x];
                                for (let i = 0; i < item.calon.length; i++) {
                                    const cc = item.calon[i];
                                    if (calon.id == cc.id) {
                                        suaras[item.id].calon[x].total_suara += cc.total_suara;
                                    }

                                }
                            }
                        }

                    }

                }

                var datas = {
                    series: [],
                    labels: []
                };

                for (const [key, value] of Object.entries(suaras)) {
                    for (let i = 0; i < value.calon.length; i++) {
                        const calon = value.calon[i];
                        const seriesIndex = datas.series.findIndex(function(a) {
                            return a.name == calon.nama_calon + " & " + calon.nama_wakil_calon;
                        });
                        if (seriesIndex >= 0) {
                            datas.series[seriesIndex].data.push({
                                x: value.nama,
                                y: calon.total_suara
                            })
                        } else {
                            datas.series.push({
                                "name": calon.nama_calon + " & " + calon.nama_wakil_calon,
                                "data": [{
                                    x: value.nama,
                                    y: calon.total_suara
                                }]
                            })
                        }

                    }

                    const seriesIndex = datas.series.findIndex(function(a) {
                        return a.name == "Suara Tidak Sah";
                    });
                    if (seriesIndex >= 0) {
                        datas.series[seriesIndex].data.push({
                            x: value.nama,
                            y: value.total_suara_tidak_sah
                        })
                    } else {
                        datas.series.push({
                            "name": "Suara Tidak Sah",
                            "data": [{
                                x: value.nama,
                                y: value.total_suara_tidak_sah
                            }]
                        })
                    }
                }
                chartPerKabupatenKota.updateOptions({
                    series: datas.series
                });


            }



            //tps
            fetchDataTpsPerKabupatenKota();

            function fetchDataTpsPerKabupatenKota() {
                const urls = @json(Helper::urlServers('/api/jumlah-tps/kabupaten-kota/64'));

                Promise.allSettled(urls.map(url => fetch(url + filterParam())
                        .then(response => {
                            if (!response.ok) {
                                throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                            }
                            return response.json(); // assuming the response is JSON
                        })
                    ))
                    .then(results => {
                        const successfulResults = results
                            .filter(result => result.status === 'fulfilled') // only keep successful fetches
                            .map(result => result.value); // extract the value (response data)

                        const failedResults = results
                            .filter(result => result.status === 'rejected') // only keep failed fetches
                            .map(result => result.reason); // extract the error reason

                        transformDataTpsPerKabupatenKota(successfulResults);

                    });

            }

            const chartTpsPerKabupatenKota = new ApexCharts(document.getElementById('chart-tps-kabupaten-kota'), {
                // colors: ['#1A56DB', '#FDBA8C'],
                series: [],
                chart: {
                    type: 'bar',
                    height: '420px',
                    fontFamily: 'Inter, sans-serif',
                    foreColor: '#29cc7d',
                    toolbar: {
                        show: false
                    }
                },
                plotOptions: {
                    bar: {
                        columnWidth: '90%',
                        borderRadius: 3
                    }
                },
                tooltip: {
                    shared: true,
                    intersect: false,
                    style: {
                        fontSize: '14px',
                        fontFamily: 'Inter, sans-serif'
                    },
                },
                states: {
                    hover: {
                        filter: {
                            type: 'darken',
                            value: 1
                        }
                    }
                },
                stroke: {
                    show: true,
                    width: 5,
                    colors: ['transparent']
                },
                grid: {
                    show: false
                },
                dataLabels: {
                    enabled: false
                },
                // legend: {
                //     show: false
                // },
                xaxis: {
                    floating: false,
                    labels: {
                        show: false
                    },
                    axisBorder: {
                        show: false
                    },
                    axisTicks: {
                        show: false
                    },
                },
                yaxis: {
                    show: false
                },
                fill: {
                    opacity: 1
                }
            });
            chartTpsPerKabupatenKota.render();


            function transformDataTpsPerKabupatenKota(results) {
                var datas = {
                    series: [{
                        "name": "TPS",
                        "data": []
                    }],
                    labels: []
                };
                for (let index = 0; index < results.length; index++) {
                    const element = results[index];
                    for (let x = 0; x < element.length; x++) {
                        const result = element[x];
                        datas.series[0].data.push({
                            x: result.nama,
                            y: result.jumlah_tps
                        })

                    }
                    
                }
                chartTpsPerKabupatenKota.updateOptions({
                        series: datas.series
                    });

            }


            //dpt
            fetchDataDptPerKabupatenKota();

            function fetchDataDptPerKabupatenKota() {
                const urls = @json(Helper::urlServers('/api/jumlah-dpt/kabupaten-kota/64'));

                Promise.allSettled(urls.map(url => fetch(url + filterParam())
                        .then(response => {
                            if (!response.ok) {
                                throw new Error(`Failed to fetch ${url}: ${response.statusText}`);
                            }
                            return response.json(); // assuming the response is JSON
                        })
                    ))
                    .then(results => {
                        const successfulResults = results
                            .filter(result => result.status === 'fulfilled') // only keep successful fetches
                            .map(result => result.value); // extract the value (response data)

                        const failedResults = results
                            .filter(result => result.status === 'rejected') // only keep failed fetches
                            .map(result => result.reason); // extract the error reason

                        transformDataDptPerKabupatenKota(successfulResults);

                    });

            }

            const chartDptPerKabupatenKota = new ApexCharts(document.getElementById('chart-dpt-kabupaten-kota'), {
                // colors: ['#1A56DB', '#FDBA8C'],
                series: [],
                chart: {
                    type: 'bar',
                    height: '420px',
                    fontFamily: 'Inter, sans-serif',
                    foreColor: '#29cc7d',
                    toolbar: {
                        show: false
                    }
                },
                plotOptions: {
                    bar: {
                        columnWidth: '90%',
                        borderRadius: 3
                    }
                },
                tooltip: {
                    shared: true,
                    intersect: false,
                    style: {
                        fontSize: '14px',
                        fontFamily: 'Inter, sans-serif'
                    },
                },
                states: {
                    hover: {
                        filter: {
                            type: 'darken',
                            value: 1
                        }
                    }
                },
                stroke: {
                    show: true,
                    width: 5,
                    colors: ['transparent']
                },
                grid: {
                    show: false
                },
                dataLabels: {
                    enabled: false
                },
                // legend: {
                //     show: false
                // },
                xaxis: {
                    floating: false,
                    labels: {
                        show: false
                    },
                    axisBorder: {
                        show: false
                    },
                    axisTicks: {
                        show: false
                    },
                },
                yaxis: {
                    show: false
                },
                fill: {
                    opacity: 1
                }
            });
            chartDptPerKabupatenKota.render();


            function transformDataDptPerKabupatenKota(results) {
                var datas = {
                    series: [{
                        "name": "DPT",
                        "data": []
                    }],
                    labels: []
                };
                for (let index = 0; index < results.length; index++) {
                    const element = results[index];
                    for (let x = 0; x < element.length; x++) {
                        const result = element[x];
                        datas.series[0].data.push({
                            x: result.nama,
                            y: result.jumlah_dpt
                        })

                    }
                    
                }
                chartDptPerKabupatenKota.updateOptions({
                        series: datas.series
                    });

            }
        </script>
    </x-slot:scripts>
</x-layout>
